Package: org.codehaus.groovy.grails.web.metaclass

## [Java] Class BindDynamicMethod

- org.codehaus.groovy.grails.web.metaclass.BindDynamicMethod

- A dynamic method present in controllers allowing data binding from a map to a target instance. Example: `def a = new Account() bindData(a, params)`

  deprecated:
    Use the data binder api directly
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.util.regex.Pattern` | `METHOD_PATTERN` |
    `static java.lang.String` | `METHOD_SIGNATURE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BindDynamicMethod ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDynamicMethodInvocation` | `getPattern, invoke, isMethodMatch, setPattern`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.util.regex.Pattern METHOD_PATTERN

    - #### public static final java.lang.String METHOD_SIGNATURE

  - ### Constructor Detail

    - #### public BindDynamicMethod()

  - ### Method Detail

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)